<template>
  <a-config-provider :locale="zh_CN">
    <div id="app">
      <router-view></router-view>
    </div>
  </a-config-provider>
</template>
<script>
import zh_CN from 'ant-design-vue/lib/locale-provider/zh_CN';
export default {
  data() {
    return {
      zh_CN,
      isLogin: false,
      userName:'',
      routerPageHeight: 0
    }
  },
  created: function(){
    this.routerPageHeight = window.innerHeight - 114
    document.title = this.$route.meta.title || this.$route.meta.pathName
  },
  updated: function() {
    this.isLogin = sessionStorage.getItem('loginStatus');
    this.userName = sessionStorage.getItem('userName');
  },
  watch:{
    $route(){
      document.title = this.$route.meta.title || this.$route.meta.pathName
      this.$store.state.common.routerName = [this.$route.name]
    }
  },

  methods: {

  }
};
</script>
<style>
html,body,#app{
  height: 100%;
  min-height: 100%;
  width: 100%;
  margin: 0;
}
</style>